<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: user_os_include.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;
$platform = !empty($_SERVER['HTTP_SEC_CH_UA_PLATFORM']) ? $_SERVER['HTTP_SEC_CH_UA_PLATFORM'] : '';
$platform = str_replace(['"'], '', $platform);

function showPlatform($item) {
    $icon = file_exists(IMAGES.'user_fields/os/'.mb_strtolower($item).'.png') ? IMAGES.'user_fields/os/'.mb_strtolower($item).'.png' : IMAGES.'no_photo.png';
    return "<img class='img-thumbnail rounded mx-auto d-block' src=".$icon." title='".$item."'> ".$item;
}

if ($profile_method == "input") {

    $options += [
        'inline'     => TRUE,
        'error_text' => $locale['uf_os_error'],
        'max_length' => 50
    ];
    $user_fields = form_text('user_os', $locale['uf_os'], empty($field_value) ? $platform : $field_value, $options);

} elseif ($profile_method == "display") {
    if (!empty($field_value)) {
        $user_fields = [
            'title' => $locale['uf_os'],
            'value' => showPlatform($field_value)
        ];
    }
}
